#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-

# Copyright (C) 2002 Jrg Lehmann <joerg@luga.de>
#
# This file is part of PyTone (http://www.luga.de/pytone/)
#
# PyTone is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# PyTone is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyX; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import curses
import os.path
import sys
import helper

# gettext initialization.
# we have to do this very early, before importing our modules
# Assume that locales lie in same dir as this module. This may not
# be the case, if the .mo files are installed at their proper location.

try:
    import gettext
    gettext.install("PyTone",
                os.path.join(os.path.dirname(sys.argv[0]), "locale"))
except:
    # Disable localization if there is any problem around with the above.
    # This works around a problem with Python 2.1
    import __builtin__
    __builtin__.__dict__['_'] = lambda s: s


# Uncomment the next line, if you want to experience a little bit with
# the number of bytecode instructions after which a context switch
# occurs.

# sys.setcheckinterval(250)


def main(stdscr):
    # we have to import the main screen here, because then we are
    # sure that the curses library is already initialized and therefore
    # colors work 
    import mainscreen
    m = mainscreen.mainscreen(stdscr)
    m.run()
    m.quit()

try:
    ms = curses.wrapper(main)
except:
    helper.print_exc_plus()
